﻿using UnityEngine;
using System.Collections;

public class Player : MonoBehaviour {

	public Side side;
	public bool inputBlocked;

	public GameObject frontCollider;
	public GameObject sideCollider;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		if(inputBlocked) {
			return;
		}

		if(Input.GetKey(KeyCode.UpArrow)) {
			this.transform.position += new Vector3(0f,0.1f,0f);
		} 

		if(Input.GetKey(KeyCode.DownArrow)) {
			this.transform.position += new Vector3(0f,-0.1f,0f);
		}
		if(side == Side.Side) {

			if(Input.GetKey(KeyCode.LeftArrow)) {
				this.transform.position += new Vector3(0.0f, 0f, -0.1f);
			}
			
			if(Input.GetKey(KeyCode.RightArrow)) {
				this.transform.position += new Vector3(0.0f, 0f, 0.1f);
			}

		} else {
			if(Input.GetKey(KeyCode.LeftArrow)) {
				this.transform.position += new Vector3(-0.1f,0.0f,0f);
			}

			if(Input.GetKey(KeyCode.RightArrow)) {
				this.transform.position += new Vector3(0.1f,0.0f,0f);
			}
		}
	}

	public void SetSide(Side side) {
		this.side = side;
		if(side == Side.Side) {
			frontCollider.SetActive(false);
			sideCollider.SetActive(true);
		} else {
			frontCollider.SetActive(true);
			sideCollider.SetActive(false);
		}
	}
}
